require_dependency "skirental_web_frontend/application_controller"

module SkirentalWebFrontend
    class ReservationsController < ApplicationController
        def show
            # Allow CORS (required for iframeResizer)
            response.headers['Access-Control-Allow-Origin'] = '*'
            response.headers['Access-Control-Allow-Methods'] = 'GET'
            response.headers["X-FRAME-OPTIONS"] = "ALLOWALL"

            # This is the ID of the given shop
            @shop_id = params[:shop_id]
            session[:foo] = "bar" # create session object, it may be empty otherwise…
            @session_id = session.id
            puts "**** #{@session_id}"

            @stripe_pk = Rails.application.config.payments[:STRIPE][:publishable_key]

            render "show"
        end
    end
end
